gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: pull code before


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: pull code before trying to lint it!
Date: Mon, 11 Dec 2017 16:45:01 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 09b21a6  pull code before trying to lint it!
09b21a6 is described below

commit 09b21a6f01e32c85c5c349878fa58c49dc898d57
Author: Marcello Stanisci <address@hidden>
AuthorDate: Mon Dec 11 16:44:40 2017 +0100

    pull code before trying to lint it!
---
 taler-build/lint_bank.sh      |  9 +++++++++
 taler-build/lint_blog.sh      | 14 +++++++++++++-
 taler-build/lint_donations.sh | 11 ++++++++++-
 taler-build/lint_survey.sh    | 13 ++++++++++++-
 4 files changed, 44 insertions(+), 3 deletions(-)

diff --git a/taler-build/lint_bank.sh b/taler-build/lint_bank.sh
index 34b84b5..b636166 100755
--- a/taler-build/lint_bank.sh
+++ b/taler-build/lint_bank.sh
@@ -1,4 +1,13 @@
 #!/bin/bash
 
+set -eu
+
 cd $HOME/bank
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
 pylint --load-plugins pylint_django talerbank/
diff --git a/taler-build/lint_blog.sh b/taler-build/lint_blog.sh
index fff7869..e913746 100755
--- a/taler-build/lint_blog.sh
+++ b/taler-build/lint_blog.sh
@@ -1,4 +1,16 @@
 #!/bin/bash
 
-cd $HOME/blog
+set -eu
+
+cd $HOME/blog/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
+
 pylint talerblog/
diff --git a/taler-build/lint_donations.sh b/taler-build/lint_donations.sh
index 4d8af4d..a423a53 100755
--- a/taler-build/lint_donations.sh
+++ b/taler-build/lint_donations.sh
@@ -1,4 +1,13 @@
 #!/bin/bash
 
-cd $HOME/donations
+cd $HOME/donations/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
 pylint talerdonations/
diff --git a/taler-build/lint_survey.sh b/taler-build/lint_survey.sh
index cdfffc4..7787d50 100755
--- a/taler-build/lint_survey.sh
+++ b/taler-build/lint_survey.sh
@@ -1,4 +1,15 @@
 #!/bin/bash
 
-cd $HOME/survey
+set -eu
+
+cd $HOME/survey/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
 pylint talersurvey/

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]